package com.tzld.piaoquan.longarticle.service.local;

import com.tzld.piaoquan.longarticle.model.po.Plan;
import com.tzld.piaoquan.longarticle.model.po.PlanAccount;

import java.util.List;

public interface PlanAccountService {

    void saveOrUpdatePlanAccount(PlanAccount planAccount);

    void saveOrUpdatePlan(Plan plan);

    List<PlanAccount> getMatchPlanAccount();

    List<PlanAccount> getNormalPlanAccount();

    List<PlanAccount> getPlanAccount(String accountId);

    List<Plan> getPlanList();

    void delPlan(String planId);

    void updateMatchStatus(Integer status, Long id);

    void updateStatus(Integer status, Long id);

    PlanAccount getPlanAccountById(Long id);

    void updateRetry(PlanAccount planAccount);
}
